=== Examples/GIFPlot/Makefile ===
prefix      = /opt/swig
exec_prefix = ${prefix}
RANLIB      = ranlib
OPT         =

INSTALL        = ../install-sh -c
INSTALL_DATA   = ${INSTALL} -m 644
SHELL          = /bin/sh

all:	
	cd Lib && $(MAKE) OPT="$(OPT)"

install: 
	$(INSTALL_DATA) Include/gifplot.h $(prefix)/include/gifplot.h
	$(INSTALL_DATA) libgifplot.a $(exec_prefix)/lib/libgifplot.a
	$(RANLIB) $(exec_prefix)/lib/libgifplot.a

clean::
	rm -f *.o *~ libgifplot.a *_wrap* *_man*
	cd Lib && $(MAKE) clean
	rm -f config.log config.status config.cache

check: all
