=== Examples/test-suite/csharp/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/csharp/Makefile.in,v 1.13 2005/12/29 23:24:22 wsfulton Exp $
# Makefile for C# test-suite
#######################################################################

LANGUAGE     = csharp
SCRIPTSUFFIX = _runme.cs
INTERPRETER  = 
CSHARPPATHSEPARATOR = "/"
CSHARPCYGPATH_W     = echo
srcdir       = .
top_srcdir   = ../../../..
top_builddir = ../../../../

CPP_TEST_CASES = \
	csharp_attributes \
	csharp_exceptions \
	csharp_features \
	csharp_typemaps \
	enum_thorough_simple \
	enum_thorough_typesafe

CUSTOM_TEST_CASES = intermediary_classname

include $(srcdir)/../common.mk

# Overridden variables here
SWIGOPT += -namespace $*Namespace $(SWIGOPTSPECIAL)

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	(cd $* && $(swig_and_compile_cpp); ) && \
	$(run_testcase)

%.ctest:
	$(setup) \
	(cd $* && $(swig_and_compile_c); ) && \
	$(run_testcase)

%.multicpptest: 
	$(setup) \
	(cd $* && $(swig_and_compile_multi_cpp); ) && \
	$(run_testcase)

# Rules for custom tests
intermediary_classname.customtest: 
	$(MAKE) intermediary_classname.cpptest SWIGOPTSPECIAL="-dllimport intermediary_classname"

# Makes a directory for the testcase if it does not exist
setup = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then	  \
	  echo "Checking testcase $* (with run test) under $(LANGUAGE)" ; \
	else								  \
	  echo "Checking testcase $* under $(LANGUAGE)" ;		  \
	fi;								  \
	if [ ! -d $* ]; then						  \
		mkdir $*;						  \
	fi;

# Compiles C# files then runs the testcase. A testcase is only run if
# a file is found which has _runme.cs appended after the testcase name.
# Note C# uses LD_LIBRARY_PATH under Unix, PATH under Cygwin/Windows and SHLIB_PATH on HPUX.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  $(MAKE) -f $*/$(top_builddir)/$(EXAMPLES)/Makefile \
	  CSHARPFLAGS='-nologo -out:$*_runme.exe' \
	  CSHARPSRCS='`$(CSHARPCYGPATH_W) $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX)` \
	  $*$(CSHARPPATHSEPARATOR)*.cs' csharp_compile && \
	  env LD_LIBRARY_PATH="$*:$$LD_LIBRARY_PATH" PATH="$*:$$PATH" SHLIB_PATH="$*:$$SHLIB_PATH" $(INTERPRETER) $*_runme.exe; ) \
	else ( \
	  cd $* && \
	  $(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile \
	  CSHARPFLAGS='-nologo -t:module -out:$*.netmodule' \
	  CSHARPSRCS='*.cs' csharp_compile; ); \
	fi;

# Clean: remove testcase directories
%.clean:
	@if [ -d $* ]; then \
		rm -rf $*; \
	fi;

clean:
	@rm -f *.exe
