=== debian/changelog ===
swig-wx (1.3.29-2lucid) lucid; urgency=high

  * autogenerated

 -- Dirk Thomas <dthomas@willowgarage.com>, William Woodall <wwoodall@willowgarage.com>  Mon, 12 Nov 2012 01:42:45 -0800
