=== debian/control ===
Source: swig-wx
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@willowgarage.com>, William Woodall <wwoodall@willowgarage.com>
Build-Depends: debhelper (>= 7.0.50~), autoconf,automake
Homepage: http://wxpython.wxcommunity.com/tools/
Standards-Version: 3.9.2

Package: swig-wx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This is a special version of swig needed by wxPython, which is SWIG version 1.3.29 plus some custom patches (explained at http://wxpython.org/builddoc.php). The patched latest version of wxPython SWIG is available at http://wxpython.wxcommunity.com/tools/
